Bug 436220 - Printer attached to parallel port is not seen
Printer attached to parallel port is not seen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 17:50 EST by Ed Friedman
Modified: 2009-01-09 01:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:06:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ed Friedman 2008-03-05 17:50:32 EST
Description of problem:
system-config-printer does not see printer on parallel port

Version-Release number of selected component (if applicable):
system-config-printer-0.7.74.10-3.fc8

How reproducible:
Always

Steps to Reproduce:
1.Boot computer (with all latest patches) with HP4100 attached to parallel port
2.Start system-config-printer
3.Select "New printer"
  
Actual results:
There seems to be no way to select any printer on the parallel port.  The serial
ports show up, but they have no printers attached to them.

Expected results:
The printer on the parallel port should show up on the list to be selected.

Additional info:
/var/log/dmesg shows:
parport_pc 00:0a: reported by Plug and Play ACPI
parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE,EPP]
parport0: Device ID reading stopped before device told data not available. Curre
nt idlen 0 of 4, len bytes 00 8D
parport0: Printer, Hewlett-Packard HP LaserJet 4100 Series
Comment 1 Tim Waugh 2008-03-06 04:46:09 EST
I need some more information:

1. What does '/usr/sbin/lpinfo -l -v' say?
2. What does '/usr/sbin/getenforce' say?
Comment 2 Ed Friedman 2008-03-06 13:21:39 EST
1. /usr/sbin/lpinfo - -v    gives:
Device: uri = socket
        class = network
        info = AppSocket/HP JetDirect
        make-and-model = Unknown
        device-id = 
Device: uri = beh
        class = network
        info = Backend Error Handler
        make-and-model = Unknown
        device-id = 
Device: uri = hal
        class = direct
        info = Hal printing backend
        make-and-model = Unknown
        device-id = 
Device: uri = socket://128.135.149.16
        class = network
        info = HP Color LaserJet 3800 128.135.149.16
        make-and-model = HP Color LaserJet 3800
        device-id = MDL:HP Color LaserJet 3800;DES:HP Color LaserJet
3800;CMD:POSTSCRIPT,PCL;CLS:PRINTER;
Device: uri = socket://128.135.149.67
        class = network
        info = HP Color LaserJet 3800 128.135.149.67
        make-and-model = HP Color LaserJet 3800
        device-id = MDL:HP Color LaserJet 3800;DES:HP Color LaserJet
3800;CMD:POSTSCRIPT,PCL;CLS:PRINTER;
Device: uri = socket://128.135.149.69
        class = network
        info = HP Color LaserJet 3800 128.135.149.69
        make-and-model = HP Color LaserJet 3800
        device-id = MDL:HP Color LaserJet 3800;DES:HP Color LaserJet
3800;CMD:POSTSCRIPT,PCL;CLS:PRINTER;
Device: uri = hpfax
        class = direct
        info = HP Fax (HPLIP)
        make-and-model = Unknown
        device-id = 
Device: uri = socket://128.135.149.2
        class = network
        info = hp LaserJet 4250 128.135.149.2
        make-and-model = hp LaserJet 4250
        device-id = MDL:hp LaserJet 4250;DES:hp LaserJet
4250;CMD:POSTSCRIPT,PCL;CLS:PRINTER;
Device: uri = hp
        class = direct
        info = HP Printer (HPLIP)
        make-and-model = Unknown
        device-id = 
Device: uri = http
        class = network
        info = Internet Printing Protocol (http)
        make-and-model = Unknown
        device-id = 
Device: uri = ipp
        class = network
        info = Internet Printing Protocol (ipp)
        make-and-model = Unknown
        device-id = 
Device: uri = lpd
        class = network
        info = LPD/LPR Host or Printer
        make-and-model = Unknown
        device-id = 
Device: uri = scsi
        class = direct
        info = SCSI Printer
        make-and-model = Unknown
        device-id = 
Device: uri = serial:/dev/ttyS0?baud=115200
        class = serial
        info = Serial Port #1
        make-and-model = Unknown
        device-id = 
Device: uri = serial:/dev/ttyS1?baud=115200
        class = serial
        info = Serial Port #2
        make-and-model = Unknown
        device-id = 
Device: uri = smb
        class = network
        info = Windows Printer via SAMBA
        make-and-model = Unknown
        device-id = 

2: /usr/sbin/getenforce     gives:
Disabled
Comment 3 Tim Waugh 2008-03-07 05:18:34 EST
What does 'ls -l /dev/lp0' say?
Comment 4 Ed Friedman 2008-03-07 12:22:46 EST
ls -l /dev/lp0 gives:

crw-rw---- 1 root tty 6, 0 2008-03-07 10:01 /dev/lp0
Comment 5 Tim Waugh 2008-03-07 12:38:52 EST
Should be group lp.

What does 'rpm -q udev' say, and what does 'rpm -V udev' say?
Comment 6 Ed Friedman 2008-03-07 18:00:24 EST
rpm -q udev gives:    udev-118-1.fc8
rpm -V udev gives nothing
Comment 7 Tim Waugh 2008-03-10 07:06:54 EDT
What about 'rpm -q pam' and 'rpm -V pam'?
Comment 8 Ed Friedman 2008-03-10 15:17:32 EDT
rpm -q pam   gives:
pam-0.99.8.1-17.1.fc8

rpm -V pam   gives:
....L... c /etc/pam.d/system-auth
S.5....T c /etc/security/limits.conf
Comment 9 Tim Waugh 2008-03-12 05:25:45 EDT
Do you know why /dev/lp0 is group tty and not group lp?

Anyway, not a system-config-printer or cups issue.
Comment 10 Harald Hoyer 2008-03-12 12:38:23 EDT
$ fgrep -r lp /etc/udev/rules.d/
/etc/udev/rules.d/50-udev-default.rules:KERNEL=="parport[0-9]*",        GROUP="lp"
/etc/udev/rules.d/50-udev-default.rules:SUBSYSTEM=="printer",          
KERNEL=="lp*", GROUP="lp"
/etc/udev/rules.d/50-udev-default.rules:SUBSYSTEM=="usb",              
KERNEL=="lp*", NAME="usb/%k", SYMLINK+="usb%k", GROUP="lp"
/etc/udev/rules.d/50-udev-default.rules:KERNEL=="lp[0-9]*",            
GROUP="lp", SYMLINK+="par%n"
/etc/udev/rules.d/50-udev-default.rules:KERNEL=="irlpt[0-9]*",          GROUP="lp"

not udev's fault.. makedev seems ok, too...
$ fgrep -r lp /etc/makedev.d/
/etc/makedev.d/01generic:a generic lp
/etc/makedev.d/00macros:=PRINTER  660 root lp
/etc/makedev.d/01linux-2.6.x:c $PRINTER               6   0  1   4 lp%d

Comment 11 Trevor Cordes 2008-03-25 12:35:34 EDT
Hmm, after upgrading a box from FC5 to F8, I had a weird breakage of the
cups->parallel port printing.  I just tried a zillion things and what worked was
a wild shot in the dark: chmod 666 /dev/lp0.

Mine was 660 root:lp before.  Not sure why 6 on lp isn't good enough.  Any ideas
what I should check?
Comment 12 Ed Friedman 2008-03-25 14:45:25 EDT
Thanks for the info.  I tried doing a chmod 666 /dev/lp0 and had to put it into
/etc/rc.local since reboots reset it.  Also, I did a chgrp lp /dev/lp0 which
doesn't reset on reboots.  Now I can finally print to my local printer.
Comment 13 Trevor Cordes 2008-03-27 01:19:05 EDT
Udev is responsible for setting up this port, I think.  I have no idea why yours
is setting group tty.  Do you have any custom udev rules in /etc/udev/*?  I'm
thinking you must.  Maybe grep -ir tty /etc/udev.  Once you are 666, it doesn't
matter what the group is anymore.

Also strange is that my own personal box has a parallel printer and it is
working fine under 2.6.24.3-12.fc8, udev-118-1.fc8.  I haven't rebooted into -34
or -50 yet.  And those are probably what you are using, based on the date of
your original post.  Perhaps -34/-50 introduced the bug?  I'll see when I reboot
next (not easy on my personal workstation).

Hopefully someone with knowledge of udev/kernel can elaborate.

If you have the ability, maybe reboot into kernel-2.6.24.3-12.fc8 or earlier and
see if the problem disappears (after commenting out your rc.local change first).
Just glancing at my (working, old kernel) /dev/lp0 shows that it's 660 root:lp.
Comment 14 Harald Hoyer 2008-03-27 04:21:10 EDT
probably seem kernel USB config option changed. someone care to compare?
Comment 15 Ed Friedman 2008-03-27 11:36:55 EDT
I have no custom udev rules.  I'm simply doing a full install followed by
applying  all of the latest patches.

On a related note, I just finished a new install using the 2.6.24.3-50.fc8 kernel.
The USB printer was not showing up in system-config-printer until I changed the
group ownership of /dev/usb/lp0 from tty to lp.
Comment 16 Harald Hoyer 2008-04-23 06:16:19 EDT
It is not a udev bug... udev sets group lp not tty.. so please reassign this bug
to the component which sets group tty ..
Comment 17 Bug Zapper 2008-11-26 05:02:02 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-01-09 01:06:51 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.